<?php
// $Id: ImageCache.php,v 1.1.2.1 2010/08/13 01:06:15 jide Exp $

/**
 * Scaffold_Extension_ImageCache
 *
 * Overrides the default ImageCache functions and converts them to RGB
 * so that any browser can use them.
 * 
 * @package 		Scaffold
 * @author 			Anthony Short <anthonyshort@me.com>
 * @copyright 		2009-2010 Anthony Short. All rights reserved.
 * @license 		http://opensource.org/licenses/bsd-license.php  New BSD License
 * @link 			https://github.com/anthonyshort/csscaffold/master
 */
class Scaffold_Extension_ImageCache extends Scaffold_Extension
{
	/**
	 * Registers a custom CSS function.
	 * @access public
	 * @param $functions
	 * @return array
	 */
	public function register_function($functions)
	{
		$functions->register('imagecache',array($this,'imagecache'));
	}
	
	/**
	 * Replaces the built-in hsl() function and outputs the colour
	 * as a hex colour so that it's supported in every browser.
	 *
	 * @author Olivier Gorzalka
	 * @param $h Hue
	 * @param $s Saturation
	 * @param $l Lightness
	 * @return string
	 */
	public function imagecache($value)
	{
		$url = preg_match('/url\((.*)\)/', $value,$match);
		$url = $match[1];
		
		return '--';
	}
}